Send feedback
Class Statement.Builder (6.111.1)
Stay organized with collections
Save and categorize content based on your preferences.
6.111.1 (latest)
6.111.0
6.108.0
6.107.0
6.103.0
6.102.1
6.101.1
6.100.0
6.99.0
6.98.1
6.97.1
6.96.1
6.95.1
6.94.0
6.93.0
6.89.0
6.88.0
6.87.0
6.86.0
6.85.0
6.83.0
6.82.0
6.80.1
6.79.0
6.77.0
6.74.1
6.72.0
6.71.0
6.69.0
6.68.0
6.66.0
6.65.1
6.62.0
6.60.0
6.58.0
6.57.0
6.56.0
6.55.0
6.54.0
6.53.0
6.52.1
6.51.0
6.50.1
6.49.0
6.25.1
6.24.0
6.23.4
6.22.0
6.21.2
6.20.0
6.19.1
6.18.0
6.17.4
6.14.1
public static final class Statement . Builder
Methods
append(String sqlFragment)
public Statement . Builder append ( String sqlFragment )
Appends sqlFragment to the statement.
Parameter
Name
Description
sqlFragment
String
bind(String parameter)
public ValueBinder<Statement . Builder > bind ( String parameter )
Returns a binder to bind the value of the query parameter parameter.
Parameter
Name
Description
parameter
String
build()
replace(String sql)
public Statement . Builder replace ( String sql )
Replaces the current SQL of this builder with the given string.
Parameter
Name
Description
sql
String
withQueryOptions(ExecuteSqlRequest.QueryOptions queryOptions)
public Statement . Builder withQueryOptions ( ExecuteSqlRequest . QueryOptions queryOptions )
Sets the QueryOptions to use when executing this Statement .
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-14 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-14 UTC."],[],[]]